2UUL · SKU RF-RFC018
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box
$2.59
$2.99
-13% · You save $0.40
● In Stock
- Perforated Design: The precise perforated design allows the sticker to perfectly fit the camera lens without affecting shooting quality.
- Protects Blue Light Coating: Specifically designed for camera blue light coatings, protecting the lens surface from damage while preventing blue light from harming the eyes.
- Dust and Damage Protection: Effectively prevents external damage such as dust and scratches, keeping the camera lens clean and new.
- No Residue: The residue-free design ensures no glue residue is left on the camera lens surface upon removal, keeping the device clean.
- Anti-Blue Light Sticker: Effectively reduces blue light radiation to the eyes, enhancing the user experience, especially suitable for users who use their phones for extended periods.
Quantity
Min. Order: 10
| Brand | 2UUL |
| SKU | RF-RFC018 |
| Compatible Model | Universal / 通用 |
| Voltage / Plug | - |
| Power | - |
| Temperature | - |
| Warranty | 12 months |
| Min. Order | 10 pcs |
Orders are dispatched within 48 hours from Shenzhen. Express shipping takes 5-9 business days, economy shipping 12-20 business days. Free express shipping on orders over $300.00.
Package Includes: 1 x main unit, 1 x power cable, 1 x English user manual, required accessories and fixtures. Retail boxes are available on request for bulk orders.
T/T bank transfer, PayPal, Wise, Western Union, Alipay and credit card. Bulk orders support 30% deposit with balance before shipment.
Related Products
-18%
2UUL
2UUL DA79 Mini MicroTip Sharpener for Quickly Sharpening Repairing Tips of Tweezers and Precision Tools
$20.49
$24.99
CODE: RF-RFC003
-12%
2UUL
2UUL SC22 SpareScrew12 Screws for iPhone Repairs (1200Pcs/Pack)
$7.49
$8.49
CODE: RF-RFC004
-24%
WYLIE
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips
$18.99
$24.99
CODE: RF-RFC005
-18%
2UUL
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack)
$4.49
$5.49
CODE: RF-RFC006
-33%
2UUL
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack)
$1.99
$2.99
CODE: RF-RFC007
-14%
2UUL
2UUL SC13 IP Color Screw Charge Port Spare Screw Kit (360pcs/Box)
$9.49
$10.99
CODE: RF-RFC009
-10%
MaAnt
MaAnt KM1 Electric Quick Grinder for Tweezers and Precision Tools
$13.49
$14.99
CODE: RF-RFC010